cURL
curl --request GET \
--url https://api.hirehive.com/v1.0/{company_id}/applications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/applications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hirehive.com/v1.0/{company_id}/applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"page_size": 123,
"page": 123,
"total_items": 123,
"total_pages": 123,
"has_next_page": true,
"has_previous_page": true
},
"links": {
"first": "<string>",
"last": "<string>",
"next": "<string>",
"previous": "<string>"
},
"items": [
{
"stage": {
"custom_stage": {
"id": "<string>",
"name": "<string>"
}
},
"compliance": {
"gdpr": {
"consent_requests": [
{
"sent_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z"
}
],
"consent_expires_at": "2023-11-07T05:31:56Z"
}
},
"id": "<string>",
"candidate": {
"first_name": "<string>",
"last_name": "<string>",
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"id": "<string>",
"full_name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"title": "<string>",
"company": "<string>",
"location": {
"address": "<string>",
"country": {
"name": "<string>",
"code": "<string>"
}
},
"image_url": "<string>",
"rating": 123,
"application_ids": [
"<string>"
],
"social_profiles": [
{
"uri": "<string>"
}
]
},
"applied_at": "2023-11-07T05:31:56Z",
"job": {
"id": "<string>",
"title": "<string>"
},
"cover_letter": "<string>",
"resume": {
"id": "<string>",
"original": {
"name": "<string>",
"original_name": "<string>",
"content_type": "<string>",
"file_extension": "<string>"
},
"pdf": {
"name": "<string>",
"original_name": "<string>",
"content_type": "<string>",
"file_extension": "<string>"
}
},
"source": {
"source": "<string>",
"contact": {
"id": "<string>",
"name": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>"
},
"recruiter": {
"id": "<string>",
"name": "<string>"
}
},
"interviews": [
"<string>"
],
"feedback": [
"<string>"
],
"potential_duplicate": true
}
]
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Applications
Get applications
Get a paginated list of applications
GET
/
v1.0
/
{company_id}
/
applications
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Sortable fields: applied_at.
Filter applications by candidate id
Filter applications by job id
Filter applications by parent stage
Available options:
rejected, new, screening, interviewing, offered, hired Filter applications by custom pipeline id
Defaults to 1
Defaults to 30. Min = 1. Max = 100
Required range:
1 <= x <= 100Was this page helpful?
⌘I